!lua

-- Cabin Lights for UTT A35K.lua
-- Dim cabin lights when beacon light is on and below 8000 feet
-- Turn off lightmap between 9:35 PM and 7:50 AM and when the plane is not operating.

local LocalTime = varget("E:LOCAL TIME", "seconds")
local CabinLight = varget("A:LIGHT NAV", "Bool")
local BeaconLight = varget("A:LIGHT BEACON", "Bool")
local Altitude = varget("A:PLANE ALT ABOVE GROUND", "feet")

if BeaconLight > 0 and Altitude < 8000 then
	TextureName = "UTT_A350-1000_L_dim.DDS"
	elseif CabinLight > 0 or LocalTime > 28200 and LocalTime < 77700 then
    TextureName = "UTT_A350-1000_L.DDS"
	else
    TextureName = ""
end

varset("T:EmissiveTexture","String",TextureName)